Table of Contents

Class: HTTPFactory | Twisted-0.19.0/twisted/protocols/http.py
--- | ---
Factory for HTTP server.
Base Classes |
--- | ---
protocol.ServerFactory
Methods |
--- | ---
__init__ _openLogFile log startFactory stopFactory
| __init__
    __init__ ( self,  logPath=None )
| _openLogFile
    _openLogFile ( self,  path )
Override in subclasses, e.g. to use lumberjack.
| log
    log ( self,  request )
Log a request's result to the logfile, by default in combined log format.
| startFactory
    startFactory ( self )
| stopFactory
    stopFactory ( self )

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:57 2002 by HappyDoc version 2.0